<?php
/*
 Plugin Name: Awsom News Announcement
 Plugin URI: http://www.awsom.org
 Author: Harknell
 Author URI: http://www.harknell.com
 Version: 1.2.1
 Description: Allows you to post a news announcement in the area above your posts (or anywhere else you want). Based on the original idea by Fauzi Mohd Darus from http://www.cypherhackz.net but completely rewritten

 */


$awsom_news_db_version = 2;
$awsom_news_table_name = $wpdb->prefix . "awsomnews";


function display_my_news_announcement() {
global $wpdb, $awsom_news_table_name;

$mynewsannouncement = $wpdb->get_results("SELECT newstext, isactive FROM $awsom_news_table_name");

	foreach ($mynewsannouncement as $thisnewspost){
	$thisnewspost->newstext = stripslashes($thisnewspost->newstext);
	$thisnewspost->isactive = stripslashes($thisnewspost->isactive);
				$displaynewspost = $thisnewspost->newstext;
				$newspoststatus = $thisnewspost->isactive;

	if (($displaynewspost !=="") && ($newspoststatus == 1) ){
		echo $displaynewspost;
		}

	}
  }





function display_my_news_announcement_preset() {
global $wpdb, $awsom_news_table_name;
$awsom_news_div_preset_status = get_option("awsom_news_use_presetdiv");
if ($awsom_news_div_preset_status == 1){
if (is_home() && !is_feed()){

$mynewsannouncement = $wpdb->get_results("SELECT newstext, isactive FROM $awsom_news_table_name");

	foreach ($mynewsannouncement as $thisnewspost){
	$thisnewspost->newstext = stripslashes($thisnewspost->newstext);
	$thisnewspost->isactive = stripslashes($thisnewspost->isactive);
	$newspoststatus = $thisnewspost->isactive;
	$displaynewspost = $thisnewspost->newstext;

	if ($displaynewspost !=="" && ($newspoststatus == 1)){
		echo "<div id=\"announcement\">$displaynewspost</div>";
		}

	  }
	}
  }
}



function easiernews_manage_news() {
global $wpdb, $awsom_news_table_name;

if ( function_exists('current_user_can') && !current_user_can('manage_options') )
      	die(__('Cheatin uh?'));

if (isset($_POST['easiernews_update']))
		{
		check_admin_referer('ana_add_news_options');
		/* update news post in db */
		$updatednewspost = $_POST['easiernewspost'];
		$updatednewspost = trim($updatednewspost);
		$updatednewspost = $wpdb->escape($updatednewspost);
		$updatednewspoststatus = $_POST['newnewsactive'];
		$updatednewspoststatus = $wpdb->escape($updatednewspoststatus);
		$updatedusetinymce = $_POST['awsomnewsusetinymce'];
		$updatedusetinymce = $wpdb->escape($updatedusetinymce);
		$updatedpresetdivenable = $_POST['presetdivenable'];
		$updatedpresetdivenable = $wpdb->escape($updatedpresetdivenable);
		$wpdb->query("
		UPDATE $awsom_news_table_name SET newstext = '$updatednewspost', isactive = '$updatednewspoststatus'");
		update_option("awsom_news_use_presetdiv", $updatedpresetdivenable);
		update_option("awsom_news_use_tinymce", $updatedusetinymce);
		echo "<div class='updated'><p><strong>News Post updated successfully!</strong></p></div>";
		}


?>

<?php $awsom_news_use_tinymce_status = get_option("awsom_news_use_tinymce");
	if ($awsom_news_use_tinymce_status == 1  ){  ?>
<script type="text/javascript" src="../wp-includes/js/tinymce/tiny_mce.js"></script>
	<script type="text/javascript">
	<!--
	tinyMCE.init({
	theme : "advanced",
	mode : "exact",
	elements : "easiernewspost",
	width : "565",
	height : "200"
	});
	-->
	</script>"
<?php }  ?>


<div class="wrap">
  <form method="post"><?php if (function_exists('wp_nonce_field')) { wp_nonce_field('ana_add_news_options'); } ?>

  <br>

    <h2>AWSOM News ver. 1.2.1 Administration Page</h2>
<b>Setup Instructions: </b>
To add the news post to your wordpress template in a custom area of a template file add
the following code where you want the News Announcement to appear:
<pre>
&#60;div id="announcement"&#62;
&#60;?php if (function_exists('display_my_news_announcement')) { display_my_news_announcement(); } ?&#62;
&#60;/div&#62;
</pre>
By default the plugin will display the News Announcement above your posts on the index page, select "no" to disable this and allow a custom area to display the News Announcement.
By adding a new line or changing your template's CSS file entry for "#announcement" you can make the announcement look differently.<br>To get support or check for updates please go to <a href="http://www.awsom.org">Awsom.org</a> or the forums at <a href="http://www.harknell.com">Harknell.com</a>
<hr><br><br>
<legend><b>News Announcement Instructions:</b> Add your News post in the text field then click "Update News". You may use HTML in your news post or use the Visual Editor. To make the News
Announcement area disappear select "No" for the option "Is This News Announcement Active?"</legend>
<blockquote>
	<table border=0 cellpadding=0 cellspacing=0>
		<tr><td>

			<TEXTAREA name="easiernewspost" id="easiernewspost" rows="4" cols="80">
 <?php   $mynewsannouncement = $wpdb->get_results("SELECT newstext FROM $awsom_news_table_name");

	foreach ($mynewsannouncement as $thisnewspost){
	 $thisnewspost->newstext = stripslashes($thisnewspost->newstext);
				$displaynewspost = $thisnewspost->newstext;
	} echo $displaynewspost; ?>
   </TEXTAREA><br></td>
		</tr>
		<tr><td width="360">Is This News Announcement Active?:<br>
										<select name="newnewsactive">

						  <option value ="1" <?php $newspoststatus = $wpdb->get_var("SELECT isactive FROM $awsom_news_table_name"); $newspoststatus = stripslashes($newspoststatus); if ($newspoststatus == 1){echo "selected";} ?>>Yes</option>
						  <option value ="0" <?php $newspoststatus = $wpdb->get_var("SELECT isactive FROM $awsom_news_table_name"); $newspoststatus = stripslashes($newspoststatus); if ($newspoststatus == 0){echo "selected";} ?>>No</option></select></td>
				</tr>


		<tr><td><br>

		Would you like to use the Visual Editor as the News Announcement editor? (Note: requires page refresh after update to switch between editor modes)<br> <select name="awsomnewsusetinymce">
		 <?php $awsom_news_use_tinymce_status = get_option("awsom_news_use_tinymce"); ?>
		  <option value ="1" <?php if ($awsom_news_use_tinymce_status == '1') echo "selected"; ?>>Yes</option>
		  <option value ="0" <?php if ($awsom_news_use_tinymce_status == '0') echo "selected"; ?>>No</option></select>
  </td></tr>
		<tr><td><br>

Place the News Announcement On Index Page above Posts (default location, select No if you want to place the News announcement in a custom location by editing your template)? <br><select name="presetdivenable">
 <?php $awsom_news_div_preset_status = get_option("awsom_news_use_presetdiv"); ?>
  <option value ="1" <?php if ($awsom_news_div_preset_status == '1') echo "selected"; ?>>Yes</option>
  <option value ="0" <?php if ($awsom_news_div_preset_status == '0') echo "selected"; ?>>No</option></select>
  </td></tr>
	</table>
	<br>
</blockquote>
</fieldset>
<div class="submit" style="text-align: left;"><input type="submit" name="easiernews_update" value="Update News" /></div>

</form>
</div>

<?php
}

function easiernews_TableInstall() {
   global $wpdb, $awsom_news_table_name, $awsom_news_db_version ;


   if($wpdb->get_var("show tables like '$awsom_news_table_name'") != $awsom_news_table_name) {

      $sql = "CREATE TABLE ".$awsom_news_table_name." (
	       			  isactive smallint NOT NULL,
		     	      newstext longtext NOT NULL,
   	                      );";

      require_once(ABSPATH . 'wp-admin/upgrade-functions.php');
      dbDelta($sql);
      $firstnews = "<h2>My First News Announcement. Your News Announcement plugin is now working.</h2>";

      $wpdb->query("INSERT INTO $awsom_news_table_name ( isactive, newstext) VALUE ( 1,'$firstnews' )");
		update_option("awsom_news_use_presetdiv", 1);
		update_option("awsom_news_db_version", $awsom_news_db_version);
		update_option("awsom_news_use_tinymce", 1);
      }
$installed_ver = get_option( "awsom_news_db_version" );

   if( $installed_ver < $awsom_news_db_version ) {
  	 $sql = "CREATE TABLE ".$awsom_news_table_name." (
   	      isactive smallint NOT NULL,
   	      newstext longtext NOT NULL,
   	            );";

         require_once(ABSPATH . 'wp-admin/upgrade-functions.php');
      dbDelta($sql);
		$wpdb->query("UPDATE $awsom_news_table_name SET isactive = '1'");
		update_option("awsom_news_db_version", $awsom_news_db_version);
		update_option("awsom_news_use_presetdiv", 1);
		update_option("awsom_news_use_tinymce", 1);
      }

}



function easiernews_create_admin()
{
    if (function_exists('add_management_page'))
		add_management_page('AWSOM News Management Page', 'AWSOM News', 8, basename(__FILE__), 'easiernews_manage_news');
}






add_action('loop_start', 'display_my_news_announcement_preset', 8);
add_action('admin_menu',	'easiernews_create_admin');
add_action('activate_awsomnews/awsomnews.php','easiernews_TableInstall');

?>